Skip to main content
GET
/
v1
/
sandboxes
/
{id}
curl https://api.runtools.ai/v1/sandboxes/sandbox-abc123 \
  -H "X-API-Key: $RUNTOOLS_API_KEY"
{
  "data": {
    "id": "sandbox-abc123",
    "name": "build-runner",
    "status": "running",
    "template": "base-ubuntu",
    "sshReady": true,
    "vncReady": false,
    "tags": ["ci"],
    "createdAt": "2026-05-06T10:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required
Sandbox ID or sandbox name.

Response

id
string
Sandbox identifier.
name
string
Optional sandbox name.
status
string
Current status, such as pending, creating, running, pausing, paused, resuming, destroying, destroyed, or failed.
template
string
Template used by the sandbox.
sshReady
boolean
Whether SSH is ready.
vncReady
boolean
Whether desktop access is ready.
vncUrl
string
Browser desktop URL for desktop templates when available.
curl https://api.runtools.ai/v1/sandboxes/sandbox-abc123 \
  -H "X-API-Key: $RUNTOOLS_API_KEY"
{
  "data": {
    "id": "sandbox-abc123",
    "name": "build-runner",
    "status": "running",
    "template": "base-ubuntu",
    "sshReady": true,
    "vncReady": false,
    "tags": ["ci"],
    "createdAt": "2026-05-06T10:00:00Z"
  }
}